Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete admin API key

$ openai admin:organization:admin-api-keys delete
DELETE
/organization/admin_api_keys/{key_id}

Delete an organization admin API key

Parameters
--key-id: string

The ID of the API key to be deleted.

Returns
AdminOrganizationAdminAPIKeyDeleteResponse: object { id, deleted, object }
id: string
deleted: boolean
object: "organization.admin_api_key.deleted"

Delete admin API key

openai admin:organization:admin-api-keys delete \
  --admin-api-key 'My Admin API Key' \
  --key-id key_id
Response example
{
  "id": "key_abc",
  "object": "organization.admin_api_key.deleted",
  "deleted": true
}
Returns Examples
Response example
{
  "id": "key_abc",
  "object": "organization.admin_api_key.deleted",
  "deleted": true
}